lab4/urls.py
from django.urls import path
from . import views

app_name= 'lab4'
urlpatterns = [
    path('',views.home, name='default'),
    path('home', views.home, name='home'),
    path('now',views.now, name='now'),
    path('about',views.about, name='about'),
    path('achievements',views.achievements, name='achievements'),
    path('curious',views.curious, name='curious'),
    path('schedule',views.schedule, name='schedule'),
    path('recap',views.recap, name='recap'),
    path('form',views.form, name='form'),
    path('delete', views.delete, name='delete'),
]

lab6/urls.py
from django.urls import path
from . import views

app_name= 'lab6'
urlpatterns = [
    path('',views.index, name='index'),
    path('profile/', views.profile, name="profile"),
]

praktikum/urls.py
from django.conf.urls import include
from django.urls import re_path
from django.contrib import admin
from lab4.views import home as index
from django.conf.urls.static import static
from django.conf import settings
from lab6 import views




urlpatterns = [
    re_path(r'^$', index , name='index'),
    re_path(r'^admin/', admin.site.urls),
    re_path(r'^lab-1/', include('lab_1.urls')),
    re_path(r'^lab-2/', include('lab_2.urls')),
    re_path(r'^lab4/', include('lab4.urls')),
    re_path(r'^lab6/', include('lab6.urls')),
    re_path(r'^lab9/', include('lab9.urls')),
    re_path(r'^lab10/', include('lab_10.urls')),
    re_path(r'^lab11/', include('lab_11.urls')),
]+static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

lab6/models.py
from django.db import models
from django.utils import timezone

# Create your models here.
class Status(models.Model):
	stats=models.CharField(max_length = 300)
	time=models.DateTimeField(default=timezone.now())

def __str__(self):
	return self.stats

lab6/forms.py
from django import forms
from .models import Status

class StatusForm(forms.Form):
	attrs = {
		'class':'form-control',
		'placeholder':'I am feeling.....',
		'required':True,
	}

	stats = forms.CharField(label = "Write your thoughts here...", max_length = 300, widget=forms.TextInput(attrs=attrs))

lab6/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponse,HttpResponseRedirect
from .forms import StatusForm
from .models import Status

# Create your views here.
response={}
def index(request):
	form=StatusForm(request.POST or None)
	stats=Status.objects.all().order_by("time")[::-1]
	response["stats"]=stats
	response["form"]=form
	if(request.method=="POST" and form.is_valid()):
		stats = request.POST.get("stats")
		status=Status(stats=stats)
		status.save()
		return redirect('/')
	else:
		return render(request, "lab6.html", response)
		
def profile(request):
	return render(request,"profile.html", response)

lab6/templates/lab6.html
{%load static%}
<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8">
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
		<link rel="stylesheet" href="{% static 'css/lab6.css' %}">
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
		<script type = "text/javascript" src = "{% static 'js/webpage.js' %}" ></script>
		<script type = "text/javascript" src = "{% static 'js/progress.js' %}" ></script>
		<title>Daily Rant</title>
	</head>
	<body>
		<div class='progress' id="progress_div">
			<div class='bar' id='bar1'></div>
			<div class='percent' id='percent1'></div>
		</div>		
		<input type="hidden" id="progress_width" value="0">
		<div class="container">
			<h1><p name="hello">Hello apa kabar?</p></h1>
			<p>Back at it again with the tutorials</p>
			<a href="{% url 'lab6:profile' %}">See my profile page</a>
		</div>
		<div class="container">
			<form action="" method="POST">
			{% csrf_token %}
			{{ form.label}}
			<br>
			{{form}}
			<br>
			<input type="submit" value="Submit" name="button"/>
			</form>
		</div>
		<div class="container">
			<h3>Recent Status</h3>
			{% if stats %}
			{% for i in stats %}
			<table>
				<tr>
					<td class=speech-bubble>"{{i.stats}}"<br>{{i.time}}</td>
				</tr>
				<br>
				<br>
				{% endfor %}
			</table>
			{% else %}
				<h4>No recent thoughts</h4>
			{% endif %}
		</div>
	</body>
</html>

lab6/templates/profile.html
{%load static%}
<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8">
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
		<link rel="stylesheet" href="{% static 'css/lab6.css' %}">
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
		<script type = "text/javascript" src = "{% static 'js/webpage.js' %}" ></script>
		<script type = "text/javascript" src = "{% static 'js/progress.js' %}" ></script>
		<title> Profile </title>
	</head>
	<body>
		<div class='progress' id="progress_div">
			<div class='bar' id='bar1'></div>
			<div class='percent' id='percent1'></div>
		</div>		
		<input type="hidden" id="progress_width" value="0">
		<div class="container">
			<div class="row">
				<div class="col-lg-9">
		            <img style="border-radius: 10%; height: 500px; width: 760px;"; src="https://scontent.fcgk4-2.fna.fbcdn.net/v/t1.0-9/42059000_2225909457653072_3697286793914220544_n.jpg?_nc_cat=101&oh=2b520c2a707f063a039f1c5c17496d36&oe=5C21A05B" alt="This is a picture of me">
        		</div>
				<div class="col-lg-3">
						<h1 id="welcome" class="headings">WELCOME.</h1>
						<p>It's me Adiva</p>
						<div class="accordion">
								<div class="accordion-header content">Current Activities</div>
								<div class="accordion-content content">Currently going through my 2nd year in Fasilkom.
									I've been busy with BEM activities and lots of deadlineee. Been trying to keep a positive vibes to get through it. Also, Open House Fasilkom is finally over!
									So that's one less thing to worry about.
								</div>
							
								<div class="accordion-header content">Organizations and Committee</div>
								<div class="accordion-content content">Project Officer
									<br>Open House Fasilkom UI 2018|2018
									<br>
									<br>Staff of Public Relation
									<br>BEM Fasilkom UI 2018 | 2018
									<br>
									<br>Staff of Sponsorship
									<br>COMPFEST X | 2018
								</div>
								<div class="accordion-header content">Achievements</div>
								<div class="accordion-content content">2nd Runner Up Scientific Writing about Autism at London School of Public Relation | 2014
								</div>
								<div class="accordion-header content">Short Introduction</div>
								<div class="accordion-content content">an Undergaduate Computer Scienece Student in Universitas Indonesia. I am 19 years old and i'm still learning new things about web design!</div>
						</div>
						<br>
						<button type="button" class="btn btn-default" style="background-color: #715D9A" id="theme">Change Theme!</button>
						<br>
						<a href="{% url 'lab6:index' %}">Back to updating status</a>
					</div>
			</div>
		</div>
	</body>
</html>